public class TestFileClass {
  public static void main(String[] args) {
    java.io.File file = new java.io.File("image/us.gif");
    System.out.println("Istnieje? " + file.exists());
    System.out.println("Długość w bajtach: " + file.length());
    System.out.println("Umożliwia odczyt? " + file.canRead());
    System.out.println("Umożliwia zapis? " + file.canWrite());
    System.out.println("Jest katalogiem? " + file.isDirectory());
    System.out.println("Jest plikiem? " + file.isFile());
    System.out.println("Ma ścieżkę bezwzględną? " + file.isAbsolute());
    System.out.println("Jest ukryty? " + file.isHidden());
    System.out.println("Ścieżka bezwzględna " +
      file.getAbsolutePath());
    System.out.println("Data ostatniej modyfikacji " +
      new java.util.Date(file.lastModified()));
  }
}
